org.apache.ignite.internal.managers.discovery

## Class DiscoveryLocalJoinData

- java.lang.Object
- - org.apache.ignite.internal.managers.discovery.DiscoveryLocalJoinData

    public class DiscoveryLocalJoinData
    extends Object

Information about local join event.

### Constructor Summary

Constructors
Constructor and Description
`DiscoveryLocalJoinData(DiscoveryEvent evt, DiscoCache discoCache, IgniteInternalFuture<Boolean> transitionWaitFut, boolean active)`

### Method Summary

Methods
`boolean` `active()`
`DiscoCache` `discoCache()`
`DiscoveryEvent` `event()`
`AffinityTopologyVersion` `joinTopologyVersion()`
`String` `toString()`
`IgniteInternalFuture<Boolean>` `transitionWaitFuture()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DiscoveryLocalJoinData

    public DiscoveryLocalJoinData(DiscoveryEvent evt,
                          DiscoCache discoCache,
                          @Nullable
                          IgniteInternalFuture<Boolean> transitionWaitFut,
                          boolean active)

Parameters:
  `evt` - Event.
  `discoCache` - Discovery data cache.
  `transitionWaitFut` - Future if cluster state transition is in progress.
  `active` - Cluster active status.

### Method Detail

#### transitionWaitFuture

    @Nullable
    public IgniteInternalFuture<Boolean> transitionWaitFuture()

Returns:
  Future if cluster state transition is in progress.

#### active

    public boolean active()

Returns:
  Cluster state.

#### event

    public DiscoveryEvent event()

Returns:
  Event.

#### discoCache

    public DiscoCache discoCache()

Returns:
  Discovery data cache.

#### joinTopologyVersion

    public AffinityTopologyVersion joinTopologyVersion()

Returns:
  Join topology version.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017